Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 884268 - uninstalling eclipse (yum erase eclipse*) leaves /usr/lib64/eclipse populated resulting in bad side effects after re-install
Summary: uninstalling eclipse (yum erase eclipse*) leaves /usr/lib64/eclipse populated...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: eclipse
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Alexander Kurtakov
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 19:18 UTC by Charles Butterfield
Modified: 2013-03-18 14:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-18 14:52:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Charles Butterfield 2012-12-05 19:18:57 UTC
Description of problem: Install some eclipse packages (see below), get eclipse working nicely (see below), uninstall then reinstall these packages and problems are encountered (see below).  The root cause seems to be items left in /usr/lib64/eclipse.

Steps to Reproduce:

1. install eclipse packages via yum

yum install eclipse-jdt.x86_64 eclipse-platform.x86_64 eclipse-rcp.x86_64 eclipse-subclipse.x86_64 eclipse-svnkit.x86_64 eclipse-swt.x86_64 icu4j-eclipse.x86_64 jetty-eclipse.noarch

2. install additional Web Dev features via "Help|Install New Software..."
- select Helios release site
- select "Web, XML and Java EE" group (many sub-items)
- verify that the "Web App Libraries" (and EAR Libraries) feature is working properly.

3. remove packages via yum

yum erase eclipse-jdt.x86_64 eclipse-platform.x86_64 eclipse-rcp.x86_64 eclipse-subclipse.x86_64 eclipse-svnkit.x86_64 eclipse-swt.x86_64 icu4j-eclipse.x86_64 jetty-eclipse.noarch ecj

4. Note that /usr/lib64/eclipse/... still has lots of items

5. reinstall packages

yum install eclipse-jdt.x86_64 eclipse-platform.x86_64 eclipse-rcp.x86_64 eclipse-subclipse.x86_64 eclipse-svnkit.x86_64 eclipse-swt.x86_64 icu4j-eclipse.x86_64 jetty-eclipse.noarch

6. Observe the following two problem symptoms (presumably same cause) described below:


How reproducible: Totally reproducible


Actual results:

Reinstall Problem/Symptom #1:

Eclipse has lost track of the SVN Browsing Perspective (not listed in "Open Perspective" dialog).  Cannot display this perspective.


Reinstall Problem/Symptom #2:

Eclipse has lost track of the SVN Browsing Perspective (not listed in "Open Perspective" dialog)

Version-Release number of selected component (if applicable):
Cannot reinstall "Web, XML and Java EE" group (from releases/helios), get error message that each of the sub-items is already installed.  BUT the features are NOT functional, for example the feature that add WEB-INF/lib/*.jar to the Build Path does not work (and displays as "org.eclipse.jst.j2ee.internal.module/web.container" rather than "Web App Libraries" and "EAR Libraries"


Additional info:

After uninstall the following trees are still partially populated
/usr/lib64/eclipse

Workaround - after erasing all eclipse packages, manually delete /usr/lib64/eclipse/... and then reinstall.

Versions:

eclipse-jdt-3.6.1-6.13.el6.x86_64
eclipse-platform-3.6.1-6.13.el6.x86_64
eclipse-rcp-3.6.1-6.13.el6.x86_64
eclipse-subclipse-1.6.5-6.el6.x86_64
eclipse-svnkit-1.3.0-3.el6.x86_64
eclipse-swt-3.6.1-6.13.el6.x86_64
icu4j-eclipse-4.2.1-5.el6.x86_64
jetty-eclipse-6.1.24-2.el6.noarch
ecj-3.4.2-6.el6.x86_64

Comment 2 Alexander Kurtakov 2013-01-08 12:15:32 UTC
(In reply to comment #0)
> 
> 4. Note that /usr/lib64/eclipse/... still has lots of items

Can you tell us what's left there ?

Comment 3 Alexander Kurtakov 2013-03-18 14:52:17 UTC
Closing the bug as without further information from the reporter what's left there we can't do anything. There is even possibility that one has run eclipse as root by mistake screwing all the systemwide eclipse caches.
Please reopen when you have time to help fixign the issue.


Note You need to log in before you can comment on or make changes to this bug.